## Script (Python) "getStudentInfo"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
# $Id: change_bed.py 1104 2006-12-20 14:32:51Z joachim $
"""
return Info about the current Student
"""
import logging
logger = logging.getLogger('Student.Clearance.Info')

request = context.REQUEST
mtool = context.portal_membership
wf = context.portal_workflow
member = mtool.getAuthenticatedMember()
member_id = str(member)
path_info = request.get('PATH_INFO').split('/')

if mtool.isAnonymousUser():
    return None
info = {}
beds = context.portal_accommodation
studs = context.students_catalog
records = [r for r in beds() if  r.student]
list = []
to_modify = []
for r in records:
    info = context.getAccommodationInfo(r.student)
    if r.bed_type == info['student_status']:
        list.append("Student %s bed_type %s ok" % (r.student,r.bed_type))
        continue
    list.append("Student %s bed_type %s != %s" % (r.student,
                                                  r.bed_type,
                                                  info['student_status']))
    to_modify.append((r.bed,r.student,info['student_status']))
    
for former_bed, student, status in to_modify:
    beds.modifyRecord(bed=former_bed,student='')
    code,bed = beds.searchAndReserveBed(student,status)
    if code > 0:
        d = {}
        d['bed'] = bed
        d['student_status'] = status
        acco_info = context.waeup_tool.getAccommodationInfo(bed)
        d['acco_maint_code'] = acco_info.get('maintenance_code')
        d['acco_maint_fee'] = acco_info.get('maintenance_fee')
        info['acco_doc'].edit(mapping=d)
        list.append("Student %s new bed %s assigned code = %s" % (r.student,
                                                              bed,
                                                              code))
return "\r".join(list)
